<!DOCTYPE html>
<html>
<!-- reduced / simplied example for the horizontal shrinking progress button shown on codrops: https://github.com/codrops/ProgressButtonStyles; all credits go out to the hard working people there (especially Mary Lou), the bootstrap community and the masters of one of the best free icon sets, fontawesome -->


<head>
	<!-- progress button css; bootstrap; fontawesome -->
	<link rel="stylesheet" type="text/css" href="progressButton.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css">
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
</head>


<body>
	<div class="jumbotron">
		<div class="container">
			<div class="page-header col-md-12">
				<h2>
					Progress-style button
					<small>as seen on <a href="http://tympanus.net/codrops/2013/12/12/progress-button-styles/" target="_blank">Codrops</a></small>
				</h2>
			</div>
			<div class="col-md-12">
				<!-- Progress button (for example starting an AJAX request, form validation / submit) -->
				<button id="progressButton" class="progress-button btn btn-success btn-block" data-style="shrink" data-horizontal>Progress button</button>
				<br>
				<!-- Button showcasing a response for which the progress button has to wait to complete -->
				<button id="pogressStopButton" class="btn btn-danger btn-block">Finish progress and reset</button>
			</div>
		</div>
	</div>

	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
	<script type="text/javascript" src="progressButton.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
	<script>
		/*
		 * Button initialisation and saving the object in variable;
		 * registration of event handlers
		 */
		var pB;

		$(document).ready(function () {
			pB = new ProgressButton($('#progressButton'), {}).init();
			$('#progressButton').on('click', startit);
			$('#pogressStopButton').on('click', stopit);
		});


		/**
		 * Starts progress of progress-button until it hits the 80% mark;
		 * after that the button waits (e.g. for the response of an AJAX call)
		 */
		function startit() {
			pB.startProgress();
		}


		/**
		 * Finishes the life cycle of progress-button: progress is set to 100%
		 * then the button shows the response status (success / error);
		 * after the set timeout the button is set to its original state
		 */
		function stopit() {
			pB.stopProgress(-1);
		}
	</script>

</body>


</html>
